# pandas.HDFStore.walk

`HDFStore.``walk`(where='/')

  Walk the pytables group hierarchy for pandas objects

  This generator will yield the group path, subgroups and pandas object names for each group. Any non-pandas PyTables objects that are not a group will be ignored.

  The where group itself is listed first (preorder), then each of its child groups (following an alphanumerical order) is also traversed, following the same procedure.

  New in version 0.24.0.

  Parameters:

  where : str, optional

  > Group where to start walking. If not supplied, the root group is used.

  Yields:

  path : str

  > Full path to a group (without trailing ‘/’)

  groups : list of str

  > names of the groups contained in path

  leaves : list of str

  > names of the pandas objects contained in path

Scroll To Top